Bug 1276905 - glusterd: probing a new node(>=3.6) from 3.5 cluster is moving the peer to rejected state
glusterd: probing a new node(>=3.6) from 3.5 cluster is moving the peer to ...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.7.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On: 1276423 1277822
Blocks: 1276541
  Show dependency treegraph
 
Reported: 2015-11-01 02:05 EST by Pranith Kumar K
Modified: 2017-03-08 05:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1276423
Environment:
Last Closed: 2017-03-08 05:59:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2015-11-01 02:05:01 EST
+++ This bug was initially created as a clone of Bug #1276423 +++

Description of problem:

probing a new  node(>=3.6)  from 3.5 cluster is moving the peer to rejected state 



How reproducible:
Always

Steps to Reproduce:
probe the 3.7 node from 3.5 cluster, then 3.7 node moves to rejected state due to check sum mismatch

--- Additional comment from Vijay Bellur on 2015-10-29 12:24:27 EDT ---

REVIEW: http://review.gluster.org/12464 (glusterd: fixing vol info checksum mismatch) posted (#1) for review on master by Anand Nekkunti (anekkunt@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-30 07:22:46 EDT ---

REVIEW: http://review.gluster.org/12464 (glusterd: fix info file checksum mismatch during upgrade) posted (#2) for review on master by Anand Nekkunti (anekkunt@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-30 09:46:00 EDT ---

REVIEW: http://review.gluster.org/12464 (glusterd: fix info file checksum mismatch during upgrade) posted (#3) for review on master by Anand Nekkunti (anekkunt@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-01 01:52:45 EST ---

COMMIT: http://review.gluster.org/12464 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit d29dd0747dbb2e7383867c97cbbaa8c41851db78
Author: anand <anekkunt@redhat.com>
Date:   Thu Oct 29 21:36:57 2015 +0530

    glusterd: fix info file checksum mismatch during upgrade
    
    issue: probing a new  node(>=3.6)  from 3.5 cluster is moving the peer to rejected state.
    
    fix: Disperse vol support is added from 3.6 release, so write disperse fields (disperse_count=0
    and redundancy_count=0) in vol info file  only if cluster version supported.
    
    Change-Id: I11d5e2e337b9bbaddc8e52ca7295ba481beb1132
    BUG: 1276423
    Signed-off-by: anand <anekkunt@redhat.com>
    Reviewed-on: http://review.gluster.org/12464
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
Comment 1 Vijay Bellur 2015-11-01 02:10:03 EST
REVIEW: http://review.gluster.org/12477 (glusterd: fix info file checksum mismatch during upgrade) posted (#1) for review on release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Vijay Bellur 2015-11-01 02:38:25 EST
REVIEW: http://review.gluster.org/12477 (glusterd: fix info file checksum mismatch during upgrade) posted (#2) for review on release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 3 Vijay Bellur 2015-11-01 05:46:16 EST
COMMIT: http://review.gluster.org/12477 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 6d4c63f12f2d87b4ed45ddd7c81825d013a9b43f
Author: anand <anekkunt@redhat.com>
Date:   Thu Oct 29 21:36:57 2015 +0530

    glusterd: fix info file checksum mismatch during upgrade
    
    issue:
    probing a new  node(>=3.6)  from 3.5 cluster is moving the peer to rejected
    state.
    
    fix:
    Disperse vol support is added from 3.6 release, so write disperse fields
    (disperse_count=0 and redundancy_count=0) in vol info file  only if cluster
    version supported.
    
     >Change-Id: I11d5e2e337b9bbaddc8e52ca7295ba481beb1132
     >BUG: 1276423
     >Signed-off-by: anand <anekkunt@redhat.com>
     >Reviewed-on: http://review.gluster.org/12464
     >Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
     >Tested-by: Gluster Build System <jenkins@build.gluster.com>
     >Reviewed-by: Kaushal M <kaushal@redhat.com>
     >Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    
    BUG: 1276905
    Change-Id: Ia601c068706a96621203132429d4417fa1c96f76
    Signed-off-by: anand <anekkunt@redhat.com>
    Reviewed-on: http://review.gluster.org/12477
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
Comment 4 Kaushal 2017-03-08 05:59:59 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.